summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorVladimir Glazounov <vg@openoffice.org>2007-01-18 08:42:52 +0000
committerVladimir Glazounov <vg@openoffice.org>2007-01-18 08:42:52 +0000
commit3b42927f94e986291c1754f5d33627a013b3cef6 (patch)
tree29ccca6b28b3638c5e0885139775b4ec208cb814 /dmake/tests
parent8079c8dda700efeae6d6336abeaa1a69052a0fb2 (diff)
INTEGRATION: CWS dmake47 (1.1.2); FILE ADDED
2006/10/07 02:28:42 vq 1.1.2.1: #i69742# Add testcase.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/targets-1556
1 files changed, 56 insertions, 0 deletions
diff --git a/dmake/tests/targets-15 b/dmake/tests/targets-15
new file mode 100755
index 000000000000..6a5310a6e4b0
--- /dev/null
+++ b/dmake/tests/targets-15
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# 06.10.2006 Volker Quetschke
+# Check that normalized targets are treated as equal.
+# (issue 69742)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Check that we set AAA to set_AAA.
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+# On cygwin add c:/temp/try5.xx to the prerequisites to test cygwin related
+# normalization
+all : try1.xx try2.xx ../..//d/try3.xx xxx//yyy/../../try4.xx
+# c:/temp/try5.xx
+ echo all
+
+./try1.xx :
+ echo try1
+
+./././try2.xx :
+ echo try2
+
+../../d/try3.xx :
+ echo try3
+
+./xxx/..////try4.xx :
+ echo try4
+
+/cygdrive/c/temp/try5.xx :
+ echo try5
+
+EOT
+
+output1=`eval ${DMAKEPROG} -rf $file1 2>&1 `
+result1=$?
+
+
+if test $result1 -eq 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+else
+ echo "Failure! dmake reported:"
+ echo "$output1"
+fi
+exit $result